# -*- coding: utf-8 -*-
import dialogs

class Dialog(object):
    """Die Klasse Dialog stellt einen einfachen Dialog zur Verfuegung, der eine
    Nachricht anzeigen kann und nach Bestätigung durch den Benutzer wieder
    verschwindet.
    
    Attribute:
        titel (Zeichenkette): Der Titel des Dialogs.
        nachricht (Zeichenkette): Die Nachricht des Dialogs.
    """

    def __init__(self, pTitel="Titel", pNachricht="Nachricht"):
        """Auftrag. Initialisiert den Dialog.
        
        Parameter:
            [optional] pTitel (Zeichenkette): Der Titel des Dialogs.
            [optional] pNachricht (Zeichenkette): Die Nachricht des Dialogs.
        """
        self.titel = pTitel
        self.nachricht = pNachricht

    def setzeNachricht(self, pNachricht):
        """Auftrag. Ändert die Nachricht des Dialogs.
        
        Parameter:
            pNachricht (Zeichenkette): Die Nachricht des Dialogs.
        """
        self.nachricht = pNachricht

    def setzeTitel(self, pTitel):
        """Auftrag. Ändert den Titel des Dialogs.
        
        Parameter:
            pTitel (Zeichenkette): Der Titel des Dialogs.
        """
        self.titel = pTitel

    def nenneNachricht(self):
        """Anfrage. Gibt die Nachricht des Dialogs zurück.
        
        Parameter:
            --- keine ---
            
        Rückgabe (Zeichenkette): Die Nachricht des Dialogs.
        """
        return self.titel

    def nenneTitel(self):
        """Anfrage. Gibt den Titel des Dialogs zurück.
        
        Parameter:
            --- keine ---
            
        Rückgabe (Zeichenkette): Der Titel des Dialogs.
        """
        return self.titel

    def zeigeNachricht(self,pNachricht):
        """Auftrag. Kurzform für das Anzeigen eines Dialogs. Setzt die neue
        Nachricht und zeigt den Dialog sofort an.
        
        Parameter:
            pNachricht (Zeichenkette): Die Nachricht des Dialogs.
        """
        self.nachricht = pNachricht
        self.zeige()

    def zeige(self):
        """Auftrag. Zeigt den Dialog an.
        
        Parameter:
            --- keine ---
        """
        dialogs.alert(self.titel, self.nachricht, 'Ok', '', '', True)
